App\Entity\AchatProduit:
    type: entity
    table: achat_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        quantite:
            type: float
            nullable: true
        prixHt:
            type: float
            nullable: true
        remise:
            type: float
            nullable: true
        tauxTva:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
    oneToMany:
        livraisons:
            targetEntity: AchatLivraisonProduit
            mappedBy: achatProduit
            cascade: [persist]
            orphanRemoval: true
        consignations:
            targetEntity: AchatConsignationProduit
            mappedBy: achatProduit
            cascade: [persist]
            orphanRemoval: true
        retours:
            targetEntity: AchatRetourProduit
            mappedBy: achatProduit
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: aproduits
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        achat:
            targetEntity: Achat
            cascade: {  }
            mappedBy: null
            inversedBy: aproduits
            joinColumns:
                achat_id:
                    referencedColumnName: id
            orphanRemoval: false